Pre-release — content may change.

Memberships

Show a person member history

GET
/person_member_histories/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Person member history UUID.

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

fields[person_member_histories]?array<string>

Sparse-fieldset selection.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/person_member_histories/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "type": "person_member_histories",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "attributes": {      "rollup_type": "category_organization",      "category": "string",      "status": "string",      "member_since": "2019-08-24T14:15:22Z",      "current_starts_at": "2019-08-24T14:15:22Z",      "current_ends_at": "2019-08-24T14:15:22Z",      "current_expires_at": "2019-08-24T14:15:22Z",      "latest_created_at": "2019-08-24T14:15:22Z",      "latest_updated_at": "2019-08-24T14:15:22Z",      "continuous_starts_at": "2019-08-24T14:15:22Z",      "continuous_ends_at": "2019-08-24T14:15:22Z",      "max_ends_at": "2019-08-24T14:15:22Z",      "previous_continuous_ends_at": "2019-08-24T14:15:22Z",      "previous_lapsed_duration_days": 0    },    "relationships": {      "person": {        "data": {          "type": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "../dictionary",          "related": "../dictionary"        }      },      "organization": {        "data": {          "type": "string",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        },        "links": {          "self": "../dictionary",          "related": "../dictionary"        }      },      "latest_membership_entries": {        "data": [          {            "type": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "../dictionary",          "related": "../dictionary"        }      },      "membership_entries": {        "data": [          {            "type": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          }        ],        "links": {          "self": "../dictionary",          "related": "../dictionary"        }      }    },    "links": {      "property1": "/person_member_histories/7247ad7d-9275-454b-9e3a-0570e403739e",      "property2": "/person_member_histories/7247ad7d-9275-454b-9e3a-0570e403739e"    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}